using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace CellRendererTest {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();

            gridGroupingControl1.BeginUpdate();
            List<TestClass> list = new List<TestClass>();
            list.Add(new TestClass(20, DateTime.Now));
            list.Add(new TestClass(30, DateTime.Now.AddDays(1)));
            gridGroupingControl1.DataSource = list;

            gridGroupingControl1.TableDescriptor.Fields.Clear();
            gridGroupingControl1.TableDescriptor.Columns.Clear();

            GridColumnDescriptor descriptor = new GridColumnDescriptor("Number", "Number", "Number", false);
            GridTableCellStyleInfo info = new GridTableCellStyleInfo();

            info.CellType = GridCellTypeName.MaskEdit;
            info.CellValueType = typeof (double);
            info.ReadOnly = false;
            info.MaskEdit.PaddingCharacter = '\0';
            info.MaskEdit.PassivePromptCharacter = '\0';
            info.MaskEdit.PromptCharacter = '\0';
            info.MaskEdit.Mask = "###.00%";

            GridTableCellAppearance appearance = new GridTableCellAppearance();
            appearance.AnyRecordFieldCell = info;
            appearance.RecordFieldCell = info;
            appearance.AlternateRecordFieldCell = info;

            descriptor.Appearance = appearance;

            GridColumnDescriptorCollection collection = new GridColumnDescriptorCollection();
            collection.Add(descriptor);

            FieldDescriptor fieldDescriptor = new FieldDescriptor("Number", "Number", false, string.Empty);
            FieldDescriptorCollection fdCollection = new FieldDescriptorCollection();
            fdCollection.Add(fieldDescriptor);

            gridGroupingControl1.TableDescriptor.Fields = fdCollection;
            gridGroupingControl1.TableDescriptor.Columns = collection;
            
            gridGroupingControl1.EndUpdate(true);

        }
        public class TestClass {
            private double number;
            private DateTime myDate;

            public TestClass(double number, DateTime myDate) {
                this.number = number;
                this.myDate = myDate;
            }

            public double Number {
                get { return number; }
                set { number = value; }
            }

            public DateTime MyDate {
                get { return myDate; }
                set { myDate = value; }
            }
        }
    }
}